<div>
  <h2 id="page-heading" data-cy="IteracionAlumnoHeading">
    <span>Iteracion Alumnos</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="loadAll()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh List</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-iteracion-alumno"
        [routerLink]="['/iteracion-alumno/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span> Create a new Iteracion Alumno </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="iteracionAlumnos?.length === 0">
    <span>No iteracionAlumnos found</span>
  </div>

  <div class="table-responsive" id="entities" *ngIf="iteracionAlumnos && iteracionAlumnos.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr>
          <th scope="col"><span>ID</span></th>
          <th scope="col"><span>Actividad</span></th>
          <th scope="col"><span>Terminado</span></th>
          <th scope="col"><span>Iteracion</span></th>
          <th scope="col"><span>Alumno</span></th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let iteracionAlumno of iteracionAlumnos; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/iteracion-alumno', iteracionAlumno.id, 'view']">{{ iteracionAlumno.id }}</a>
          </td>
          <td>{{ iteracionAlumno.actividad }}</td>
          <td>{{ iteracionAlumno.terminado }}</td>
          <td>
            <div *ngIf="iteracionAlumno.iteracion">
              <a [routerLink]="['/iteracion', iteracionAlumno.iteracion?.id, 'view']">{{ iteracionAlumno.iteracion?.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="iteracionAlumno.alumno">
              <a [routerLink]="['/alumno', iteracionAlumno.alumno?.id, 'view']">{{ iteracionAlumno.alumno?.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/iteracion-alumno', iteracionAlumno.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline">View</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/iteracion-alumno', iteracionAlumno.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline">Edit</span>
              </button>

              <button type="submit" (click)="delete(iteracionAlumno)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline">Delete</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
